Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree.event
Class DefaultSelectionModelListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.tree.event.DefaultSelectionModelListenerAdapter

All Implemented Interfaces:
  DefaultSelectionModelListener

    public class DefaultSelectionModelListenerAdapter

extends java.lang.Object
implements DefaultSelectionModelListener

Constructor Summary
`DefaultSelectionModelListenerAdapter()`

Method Summary
`boolean` | `doBeforeSelect(DefaultSelectionModel sm, TreeNode newNode, TreeNode oldNode)` Fires before the selected node changes, return false to cancel the change.
`void` | `onSelectionChange(DefaultSelectionModel sm, TreeNode node)` Fires when the selected node changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSelectionModelListenerAdapter

    public DefaultSelectionModelListenerAdapter()

Method Detail

### doBeforeSelect

    public boolean doBeforeSelect(DefaultSelectionModel sm,
                                  TreeNode newNode,
                                  TreeNode oldNode)

  Description copied from interface: `DefaultSelectionModelListener`
  Fires before the selected node changes, return false to cancel the change.

  Specified by:
    `doBeforeSelect` in interface `DefaultSelectionModelListener`
  Parameters:
    `sm` - selection model
    `newNode` - the new selection
    `oldNode` - the old selection
  Returns:
    false to cancel change

### onSelectionChange

    public void onSelectionChange(DefaultSelectionModel sm,
                                  TreeNode node)

  Description copied from interface: `DefaultSelectionModelListener`
  Fires when the selected node changes. Note TreeNode passed is null when clearSelection is called, or when a node is unselected.

  Specified by:
    `onSelectionChange` in interface `DefaultSelectionModelListener`
  Parameters:
    `sm` - selection model
    `node` - new selection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD